Subject: Re: bug#22619: postgresql-service error checking wtf
From: [email-masked] (Ludovic Courtès)
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Sun, 21 Feb 2016 12:38:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Danny Milosavljevic <[email-masked]> skribis:

> The actual problem only arises because guix reconfigure doesn't deem a change in service arguments as reason to restart (or reconfigure) a service.
>
> I.e. before, my config was:
>
> (postgresql-service )
>
> Then I did guix reconfigure ...
>
> Afterwards, I changed the config to:
>
> (postgresql-service #:config-file ...)
>
> Then I did giux reconfigure   # this erroneously doesn't reload the postgres service!!

Yes, this is a known limitation: <http://bugs.gnu.org/22039>.

Currently, for services that are safe to be restarted, the solution is
to explicitly stop them beforehand, in which case the new service gets
started by ‘guix system reconfigure’:

  # herd stop postgresql
  # guix system reconfigure new-config.scm

I’m closing this bug.  Let me know if anything else is amiss.

Thanks,
Ludo’.